Cleanup feature flags for footer work
Closed, ResolvedPublic2 Story Points

Description

We pushed the footer in Sprint 83.
Now it's sprint 91, we are long overdue removing the code needed to support the old footer so let's remove that code.

Acceptance criteria

  • All traces of MinervaUseFooterV2 removed from repository
  • Remove i18n, resources from old footer
  • Footer works in desktop and mobile versions of Minerva
  • Merge skins.minerva.footerV2.styles module into skins.minerva.base.styles - https://gerrit.wikimedia.org/r/#/c/335699/
  • Remove usages of MinervaUseFooterV2 from mediawiki-config. This can be done now as the default value in MobileFrontend master is true. Although for completeness probably best to do after it is removed from MobileFrontend - https://gerrit.wikimedia.org/r/336664 wgMinervaUseFooterV2
Jdlrobson created this task.Feb 2 2017, 9:15 PM
Restricted Application removed a project: Patch-For-Review. ยท View Herald TranscriptFeb 2 2017, 9:15 PM
Jdlrobson edited the task description. (Show Details)Feb 2 2017, 9:16 PM

Change 335080 had a related patch set uploaded (by Jdlrobson):
Hygiene: Remove MinervaUseFooterV2

https://gerrit.wikimedia.org/r/335080

Change 335699 had a related patch set uploaded (by Jdlrobson):
Hygiene: Merge footer v2 style module into default style module

https://gerrit.wikimedia.org/r/335699

Restricted Application added a subscriber: Dereckson. ยท View Herald TranscriptFeb 2 2017, 9:20 PM
Jdlrobson edited the task description. (Show Details)Feb 2 2017, 9:21 PM

@Jdlrobson: Could you add a provisional estimate for this work?

Jdlrobson set the point value for this task to 2.Feb 6 2017, 7:21 PM

Change 335080 merged by jenkins-bot:
Hygiene: Remove MinervaUseFooterV2

https://gerrit.wikimedia.org/r/335080

Change 336334 had a related patch set uploaded (by Jdlrobson):
Remove old footer remnant for mobile/desktop toggle

https://gerrit.wikimedia.org/r/336334

A fair chunk of the work is done, but there are several small follow-ups:

Change 336334 had a related patch set uploaded (by Phuedx):
Remove old footer remnant for mobile/desktop toggle

https://gerrit.wikimedia.org/r/336334

Change 336664 had a related patch set uploaded (by Jdlrobson):
wgMinervaUseFooterV2 config flag no longer necessary

https://gerrit.wikimedia.org/r/336664

Jdlrobson edited the task description. (Show Details)Feb 8 2017, 7:11 PM
This comment was removed by Jdlrobson.

Change 336334 merged by jenkins-bot:
Remove old footer remnant for mobile/desktop toggle

https://gerrit.wikimedia.org/r/336334

Jdlrobson edited the task description. (Show Details)Feb 8 2017, 7:26 PM

Change 335699 merged by jenkins-bot:
Hygiene: Merge footer v2 style module into default style module

https://gerrit.wikimedia.org/r/335699

Jdlrobson edited the task description. (Show Details)

Blocked as https://gerrit.wikimedia.org/r/336664 can only be deployed tomorrow and T153494 prevents the footer working 100% in desktop.

I am wrong. Since this defaults to true anyway in MobileFrontend this is not a problem and can be swatted immediately.

Change 336664 merged by jenkins-bot:
wgMinervaUseFooterV2 config flag no longer necessary

https://gerrit.wikimedia.org/r/336664

Mentioned in SAL (#wikimedia-operations) [2017-02-09T00:20:54Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Prune wgMinervaUseFooterV2 (T157075) (duration: 00m 41s)

Jdlrobson edited the task description. (Show Details)Feb 9 2017, 12:26 AM
Jdlrobson removed a project: Patch-For-Review.

The footer works in desktop and mobile but due to T153494 there is warnings. I think we should sign this task off as complete though even though that is the case as that problem is already tracked elsewhere.

phuedx reassigned this task from Jdlrobson to bmansurov.Feb 9 2017, 6:46 AM
bmansurov removed bmansurov as the assignee of this task.Feb 9 2017, 9:13 PM
bmansurov added a subscriber: bmansurov.

These points need work:

  • The message "mobile-frontend-footer-contact" doesn't seem to be used anywhere anymore.

https://gerrit.wikimedia.org/r/336897

  • The message "mobile-frontend-footer-contact" doesn't seem to be used anywhere anymore.

Wow that's super old. We haven't used that in footer v1 for some time! I see it has not been needed since Ic50e87064b75a5ef0edd056ecbadf16dcb5c29a9 (Oct 2012!! New record!) :)
I'm going to see what else is in there that neednt be.

OK, I think the point about the old message can be tackled separately. I've +2'ed the patch.

bmansurov closed this task as "Resolved".Feb 9 2017, 9:30 PM

The following acceptance criterion is being tackled in T153494:

  • Footer works in desktop and mobile versions of Minerva